#if !defined(AFX_OPTIONSSHOWDLG_H__0ACCE131_9C76_11D3_BEFA_A409DA76A816__INCLUDED_)
#define AFX_OPTIONSSHOWDLG_H__0ACCE131_9C76_11D3_BEFA_A409DA76A816__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OptionsShowDlg.h : header file
//
#include <apl_gui.h>
#include "afxwin.h"
/////////////////////////////////////////////////////////////////////////////
// COptionsShowDlg dialog
class CPSMDoc;

class COptionsShowDlg : public CaplTranslateDialog
{
// Construction
public:
	COptionsShowDlg(CWnd* pParent = NULL);   // standard constructor

	CPSMDoc *m_doc;

	CString m_font_face, m_system_font_face;
	int m_font_size,m_system_font_size;

	COLORREF m_def_fon_color, m_system_def_fon_color;

	void ResetExampleFont();

	bool m_bNeewResetFont;

// Dialog Data
	//{{AFX_DATA(COptionsShowDlg)
	enum { IDD = IDD_OPTIONS_SHOW };
	CaplButton	m_cancel_btn;
	CaplButton	m_ok_btn;
	CButton	m_autoclose_treeitem_ctrl;
	CButton	m_def_context_menu_ctrl;
	CButton	m_PrdNoShowPlusToPart_Ctrl;
	CButton	m_SaveExpendetTreeListCtrl;
	BOOL	m_SaveExpendetTreeList;
	BOOL	m_PrdNoShowPlusToPart;
	BOOL	m_def_context_menu;
	BOOL	m_autoclose_treeitem;
	BOOL	m_dbl_click_prd_struct_expand_tree;
	BOOL	m_dbl_click_whereused_expand_tree;
	BOOL	m_show_inst_info;
	BOOL	m_show_classificators;
	BOOL	m_show_org_struct;
	BOOL	m_show_subst_in_nauo;
	BOOL	m_show_zagotov_in_nauo;
	BOOL	m_show_saved_query_in_tree;
	BOOL	m_show_old_query_dlg;
	BOOL  m_b_show_categ;
	BOOL m_bSortPrjByNumzak;

	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COptionsShowDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(COptionsShowDlg)
	afx_msg void OnPrdId();
	afx_msg void OnPrdName();
	virtual void OnOK();
	afx_msg void OnCharactValue();
	afx_msg void OnDocId();
	afx_msg void OnDocName();
	afx_msg void OnApprPerson();
	afx_msg void OnApprPersonRole();
	afx_msg void OnApprStatus();
	afx_msg void OnCharactUnit();
	afx_msg void OnOrgId();
	afx_msg void OnOrgName();
	virtual BOOL OnInitDialog();
	afx_msg void OnUnitId();
	afx_msg void OnUnitName();
	afx_msg void OnLbDblclickOpen();
	afx_msg void OnLbDblclickProperty();
	afx_msg void OnCategId();
	afx_msg void OnCategName();
	afx_msg void OnActId();
	afx_msg void OnActName();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	CButton m_dblclick_view_doc;
	CComboBox m_fonts_combo;
	CaplColorStatic m_st_font_example;
	afx_msg void OnCbnSelchangeFontsCombo();
	CComboBox m_font_size_combo;
	afx_msg void OnCbnSelchangeFontSizeCombo();
	afx_msg void OnCbnEditchangeFontSizeCombo();
	afx_msg void OnBnClickedSelDefFonColor();
	afx_msg void OnBnClickedClearDefSysColor();
	BOOL m_auto_show_sign_in_doc_ver;
	BOOL m_show_revocated_approval;
	BOOL m_b_mark_work_with_color;
	BOOL m_b_mark_ended_work_with_color;
	BOOL m_b_not_show_task_of_future_process;
	int m_i_mark_work_with_color_warning_time;
	int m_num_doc_4_group;
	CButton m_PrdNoShowReplacedPartCtrl;
	CButton m_b_show_categ_ctrl;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPTIONSSHOWDLG_H__0ACCE131_9C76_11D3_BEFA_A409DA76A816__INCLUDED_)
